## MAadmiss indicates admissibility

## this corresponds to the idea of a dominating design
## Wu, Mee and Tang 2012 

## Wu, Mee and Tang 2012 proved that designs even designs need not be considered
## In fact, the proof only uses that A5=0 designs need not be considered
## Hence, A5=0 designs can be skipped in the search!!!

## usage relies on catlg128.26to33 (for example) to be available and on 
## package FrF2 to be loaded

MAadmiss128.26to33 <- rep(NA, length(catlg128.26to33))
load("C:\\Dokumente und Einstellungen\\Grmping\\Eigene Dateien\\DoESoftware\\Catalogues\\additional128runOddCatalogues\\catlg128.26to33.rda")
setwd("C:\\Dokumente und Einstellungen\\Grmping\\Eigene Dateien\\DoESoftware\\Papers\\AdmissibleClear\\Dominating128_16bis25_LAD")
source(file="mapcalclad_draft.r")
nr <- 128
  for (nf in 26:33){
  sel <- which(nfac(catlg128.26to33)==nf)

  for (i in 1:length(sel)){
   if (nclear.2fis(catlg128.26to33[sel[i]])==0) MAadmiss128.26to33[sel[i]] <- FALSE
   else{
      check <- try(
         mapcalc.lad(nruns=nr,nfac=nf,select.catlg=catlg128.26to33[sel[1:(i-1)][which(MAadmiss128.26to33[sel[1:(i-1)]])]],
             estimable=catlg128.26to33[[sel[i]]]$clear.2fis), silent=TRUE)
       MAadmiss128.26to33[sel[i]] <- ("try-error" %in% class(check)) 
     print(c(nf, i, date()))
     print(table(MAadmiss128.26to33[sel]))
     }
}
}

save(MAadmiss128.26to33, file="MAadmiss128.26to33_LAD.RData")
}